Subject: Re: [patch net-next V7] net: introduce ethernet teaming device

From: Jiri Pirko <[email-masked]>
Date: Thu, 10 Nov 2011 17:59:45 +0100

Thu, Nov 10, 2011 at 05:02:10PM CET, [email-masked] wrote:
>Le jeudi 10 novembre 2011 à 16:41 +0100, Jiri Pirko a écrit :
>> This patch introduces new network device called team. It supposes to be
>> very fast, simple, userspace-driven alternative to existing bonding
>> driver.
>> 
>
>> +static bool team_dummy_transmit(struct team *team, struct sk_buff *skb)
>> +{
>> +	dev_kfree_skb(skb);
>> +	return false;
>> +}
>> +
>
>ndo_start_xmit() method can be called with IRQ disabled (netpoll ?), so
>dev_kfree_skb_any() is better ?
>

For example bonding is using dev_kfree_skb in xmit as well.
I propose this to be eventually addressed in follow-up patch.